/*
////////////////////////////////////////////////////////////////////////////////////
//                                                                                //
//  PROGRAMMA: CIVIL DESIGN                                                       //
//                                                                                //
//  FILE: DISTCD.DCL  File contenenti le dialog per il comando DISTCD             //
//                                                                                //
//  Scritto da:  Stefania Martinelli                                              //
//                                                                                //
//  RELEASE: 3.00     DATA: febbraio 1998                                         //
//                                                                                //
//  COPYRIGHT    (C)  DIGICORP Ingegneria S.r.l. - 1998                           //
//                                                                                //
////////////////////////////////////////////////////////////////////////////////////
*/
/* ------------------------ DistCDDlg ------------------------------------*/
DistCDDlg : dialog
            {
             label = "Distanza fra due punti";
             : row
               {
                : boxed_column
                  {
                   label = "Primo punto"; 
                   : row
                     {
                      : text
                        {
                         label = "X"; width = 2;
                        }
                      : text
                        {
                         key = "x1"; width = 15;
                        }
                     } /* row */
                   : row
                     {
                      : text
                        {
                         label = "Y"; width = 2;
                        }
                      : text
                        {
                         key = "y1"; width = 15;
                        }
                     } /* row */
                   : row
                     {
                      : text
                        {
                         label = "Z"; width = 2;
                        }
                      : text
                        {
                         key = "z1"; width = 15;
                        }
                     } /* row */
                   } /* boxed_column */
                : boxed_column
                  {
                   label = "Secondo punto"; 
                   : row
                     {
                      : text
                        {
                         label = "X"; width = 2;
                        }
                      : text
                        {
                         key = "x2"; width = 15;
                        }
                     } /* row */
                   : row
                     {
                      : text
                        {
                         label = "Y"; width = 2;
                        }
                      : text
                        {
                         key = "y2"; width = 15;
                        }
                     } /* row */
                   : row
                     {
                      : text
                        {
                         label = "Z"; width = 2;
                        }
                      : text
                        {
                         key = "z2"; width = 15;
                        }
                     } /* row */
                  } /* boxed_column */
               } /* row */
             : row
               {
                : text
                  {
                   label = "Distanza 3d"; width = 22;
                  }
                : text
                  {
                   key = "dist3d"; width = 15;
                  }
               } /* row */
             : row
               {
                : text
                  {
                   label = "Distanza piana"; width = 22;
                  }
                : text
                  {
                   key = "dist2d"; width = 15;
                  }
               } /* row */
             : row
               {
                : text
                  {
                   label = "Angolo nel piano XY"; width = 22;
                  }
                : text
                  {
                   key = "pianoxy"; width = 15;
                  }
               } /* row */
             : row
               {
                : text
                  {
                   label = "Angolo dal piano XY"; width = 22;
                  }
                : text
                  {
                   key = "dalpianoxy"; width = 15;
                  }
               } /* row */
             : row
               {
                : text
                  {
                   label = "DeltaX"; width = 22;
                  }
                : text
                  {
                   key = "dx"; width = 15;
                  }
               } /* row */
             : row
               {
                : text
                  {
                   label = "DeltaY"; width = 22;
                  }
                : text
                  {
                   key = "dy"; width = 15;
                  }
               } /* row */
             : row
               {
                : text
                  {
                   label = "DeltaZ"; width = 22;
                  }
                : text
                  {
                   key = "dz"; width = 15;
                  }
               } /* row */
//pend			   
             : row
               {
                : text
                  {
                   label = "Pendenza"; width = 22;
                  }
                : text
                  {
                   key = "pend"; width = 15;
                  }
               } // row
             : row
               {
                : text
                  {
                   label = "Pendenza %"; width = 22;
                  }
                : text
                  {
                   key = "pend_percent"; width = 15;
                  }
               } // row			   
             ok_only;
            } /* end dialog */

